<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Загруз-центр - Свежие файлы');

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Загруз-центр - Свежие файлы </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Свежие файлы</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/downs"><i class="md-format-list-bulleted"></i> Загруз-центр</a> - Свежие файлы </div>';
$date = time() - 3600 * 72;
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM `downs` WHERE `time` > ? AND `mod` = ?", [$date,0]);
if ($look == 0) {
err('Нет новых файлов!');
}
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM `downs` WHERE `time` > ? AND `mod` = ? ORDER BY `time` DESC LIMIT $start,$num",[$date,0]);
while($a = $sql->fetch()) {
$mess = DB::$dbs->querySingle("SELECT COUNT(id) FROM `down_komm` WHERE `file` = ?", [$a['id']]);
$screen = DB::$dbs->queryFetch("SELECT * FROM `down_screen` WHERE `fid` = ? ORDER BY `id` DESC LIMIT 1",[$a['id']]);
echo '<div class="row"><div class="col-xs-3 col-sm-1"><div class="user_brief"><div class="userpic" style="height: 50px;padding: 4px;width: 50px;"><a href="/'.$screen['file'].'"><img class="img-responsive" src="/'.$screen['file'].'" alt="" ></a></div></div></div><div class="col-xs-9 col-sm-8"><a class="title" href="file.html?id='.$a['id'].'"> '.$a['name'].' ('.get_size($a['size']).')</a><div class="text-muted"><span> '.slv($mess, 'сообщение','сообщения','сообщений').'</span></div></div><div class="col-sm-3 text-muted text-right hidden-xs"><span data-toggle="tooltip" title="Время отправки">('.vr($a['time']).')
</span></div></div>';
}
if ($k_page > 1) {
str('?',$k_page,$page);
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>